- libbson 1.13.1 »
- API Reference »
- Character and String Routines

# bson_utf8_validate()

## Synopsis

    bool
    bson_utf8_validate (const char *utf8, size_t utf8_len, bool allow_null);

## Parameters

- `utf8`: A string to verify.
- `utf8_len`: The length of `utf8` in bytes.
- `allow_null`: A bool indicating that embedded `\0` bytes are allowed.

## Description

Validates that the content within `utf8` is valid UTF-8 (by the RFC 3629 standard). If `allow_null` is `true`, then embedded NULL bytes are allowed (`\0`).

## Returns

true if `utf8` contains valid UTF-8.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.